# ID3 tags

LAME is able to embed ID3 v1, v1.1 or v2 tags inside the encoded MP3 file. This allows to have some usefull information about the music track included inside the file. Those data can be read by most MP3 players.
LAME will smartly choose wich tags to use. It will add ID3 v2 tags only if the input comments won't fint in v1 or v1.1 tags, ie if they are more than 30 characters. In this case, both v1 and v2 tags will be added, to ensure reading of tags by MP3 players wich are unable to read ID3 v2 tags.

ID3 comments switches | parameters
`--tt "title"` | title of song
`--ta "artist"` | artist who did the song
`--tl "album"` | album where it came from
`--ty "year"` | year in which the song/album was made
`--tc "comment"` | additional info
`--tn "track[/total]"` | audio/song track number and (optionally) the total number of tracks on the original recording.
`--tg "genre"` | genre of song (name or number)
`--ti "file"` | audio/song albumArt (jpeg/png/gif file, 128KB max, v2.3 tag)
`--tv "id=value"` | user-defined frame specified by id and value (v2.3 tag)

ID3 behaviour switches |
`--add-id3v2` | force addition of version 2 tag
`--id3v1-only` | add only a version 1 tag
`--id3v2-only` | add only a version 2 tag
`--space-id3v1` | pad version 1 tags with spaces instead of nulls
`--pad-id3v2` | same as '--pad-id3v2-size 128'
`--pad-id3v2-size "num"` | adds version 2 tag, pad with extra "num" bytes
`--ignore-tag-errors` | ignore errors in values passed for tags, use defaults in case an error occours
`--genre-list` | print alphabetically sorted ID3 genre list and exit

The following genres are supported:

00 - Blues 01 - Classic Rock 02 - Country 03 - Dance 04 - Disco 05 - Funk 06 - Grunge 07 - Hip-Hop 08 - Jazz 09 - Metal 10 - New Age 11 - Oldies 12 - Other 13 - Pop 14 - R&B 15 - Rap 16 - Reggae 17 - Rock 18 - Techno 19 - Industrial 20 - Alternative 21 - Ska 22 - Death Metal 23 - Pranks 24 - Soundtrack 25 - Euro-Techno 26 - Ambient 27 - Trip-Hop 28 - Vocal 29 - Jazz+Funk 30 - Fusion 31 - Trance 32 - Classical 33 - Instrumental 34 - Acid 35 - House 36 - Game 37 - Sound Clip 38 - Gospel 39 - Noise 40 - Alternative Rock 41 - Bass 43 - Punk 44 - Space 45 - Meditative 46 - Instrumental Pop 47 - Instrumental Rock 48 - Ethnic 49 - Gothic 50 - Darkwave 51 - Techno-Industrial 52 - Electronic 53 - Pop-Folk 54 - Eurodance 55 - Dream 56 - Southern Rock 57 - Comedy 58 - Cult 59 - Gangsta 60 - Top 40 61 - Christian Rap 62 - Pop/Funk 63 - Jungle 64 - Native US 65 - Cabaret 66 - New Wave 67 - Psychedelic 68 - Rave 69 - Showtunes 70 - Trailer 71 - Lo-Fi 72 - Tribal 73 - Acid Punk 74 - Acid Jazz 75 - Polka 76 - Retro 77 - Musical 78 - Rock & Roll 79 - Hard Rock 80 - Folk 81 - Folk-Rock 82 - National Folk 83 - Swing 84 - Fast Fusion 85 - Bebob 86 - Latin 87 - Revival 88 - Celtic 89 - Bluegrass 90 - Avantgarde 91 - Gothic Rock 92 - Progressive Rock 93 - Psychedelic Rock 94 - Symphonic Rock 95 - Slow Rock 96 - Big Band 97 - Chorus 98 - Easy Listening 99 - Acoustic | 100 - Humour 101 - Speech 102 - Chanson 103 - Opera 104 - Chamber Music 105 - Sonata 106 - Symphony 107 - Booty Bass 108 - Primus 109 - Porn Groove 110 - Satire 111 - Slow Jam 112 - Club 113 - Tango 114 - Samba 115 - Folklore 116 - Ballad 117 - Power Ballad 118 - Rhythmic Soul 119 - Freestyle 120 - Duet 121 - Punk Rock 122 - Drum Solo 123 - A Cappella 124 - Euro-House 125 - Dance Hall 126 - Goa 127 - Drum & Bass 128 - Club-House 129 - Hardcore 130 - Terror 131 - Indie 132 - BritPop 133 - Negerpunk 134 - Polsk Punk 135 - Beat 136 - Christian Gangsta 137 - Heavy Metal 138 - Black Metal 139 - Crossover 140 - Contemporary Christian 141 - Christian Rock 142 - Merengue 143 - Salsa 144 - Thrash Metal 145 - Anime 146 - JPop 147 - SynthPop